- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoLS< MOEOT, Type > Class Template Reference

Abstract class for local searches applied to multi-objective optimization. More...

`#include <moeoLS.h>`

Inheritance diagram for moeoLS< MOEOT, Type >:

## Detailed Description

### template<class MOEOT, class Type>
class moeoLS< MOEOT, Type >

Abstract class for local searches applied to multi-objective optimization.

Starting from a Type (i.e.: an individual, a pop, an archive...), it produces a set of new non-dominated solutions.

Definition at line 24 of file moeoLS.h.

The documentation for this class was generated from the following file:

- moeoLS.h